API ReferenceConfiguration
Retrieve RICAL configuration
Roles
admindts-provider
Analytics Events
ECOSYSTEM_RICAL_CONFIGURATION_RETRIEVE_STARTECOSYSTEM_RICAL_CONFIGURATION_RETRIEVE_SUCCESSECOSYSTEM_RICAL_CONFIGURATION_RETRIEVE_FAIL
GET
/v1/ecosystems/{ecosystemId}/ricals/configurationRetrieve the RICAL configuration from the requested ecosystem.
Analytic events
- ECOSYSTEM_RICAL_CONFIGURATION_RETRIEVE_START
- ECOSYSTEM_RICAL_CONFIGURATION_RETRIEVE_SUCCESS
- ECOSYSTEM_RICAL_CONFIGURATION_RETRIEVE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
ecosystemId*string
The UUID of the ecosystem
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/ricals/configuration"{
"ricalProvider": "MATTR",
"autoPublish": {
"enabled": true,
"frequency": "Daily",
"configuredAt": "2025-07-01T00:00:00.000Z"
}
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Update RICAL configuration PUT
Update the RICAL configuration for the requested ecosystem. A RICAL configuration is required in order for RICALs to be created. ### **Analytic events** * ECOSYSTEM_RICAL_CONFIGURATION_UPSERT_START * ECOSYSTEM_RICAL_CONFIGURATION_UPSERT_SUCCESS * ECOSYSTEM_RICAL_CONFIGURATION_UPSERT_FAIL
Delete RICAL configuration DELETE
Delete the RICAL configuration for the requested ecosystem. ### **Analytic events** * ECOSYSTEM_RICAL_CONFIGURATION_DELETE_START * ECOSYSTEM_RICAL_CONFIGURATION_DELETE_SUCCESS * ECOSYSTEM_RICAL_CONFIGURATION_DELETE_FAIL